When I try to run `java JCO3Test` with java version 1.5.0_12 I get an
error of:
-Exception in thread "main" java.lang.UnsupportedClassVersionError: Bad
version number in .class file-


I found a 1.6 version of java installed by the SAP HR Driver installer,
but when I run the test utility with that version I get the following:
-Exception in thread "main" java.lang.NoClassDefFoundError:
com/sap/conn/jco/ext/DestinationDataProvider-

Any thoughts?
Does the JCO3Test work on 64bit systems?
Has anyone successfully run an SAP HR remote loader on a Solaris box?

Some other reference notes:
- I have copied the scpjco3.jar to the ./lib folder
- The sapjco3.jar that was downloaded is a 64bit version
- Running java -d64 -jar sapjco3.jar opens the jar "about details"
successfully. (This is the 1.5 version) The default seems to run as 32
bit and fails.


--
fevans
------------------------------------------------------------------------
fevans's Profile: http://forums.novell.com/member.php?userid=2532
View this thread: http://forums.novell.com/showthread.php?t=392786